---
- name: create systemd timer
  copy:
    dest: ~/.config/systemd/user/{{ systemd_timer }}.timer
    content: |
      {% set timer = systemd_timer_options_default | combine(systemd_timer_options) %}
      {% set unit = systemd_unit_options_default | combine(systemd_unit_options) %}
      [Unit]
      {% for key, value in unit|dictsort %}
      {%   if value is string %}
      {{ key }}={{ value }}
      {%   else %}
      {%     for v in value %}
      {{ key }}={{ v }}
      {%     endfor %}
      {%   endif %}
      {% endfor %}

      [Timer]
      {% for key, value in timer|dictsort %}
      {%   if value is string %}
      {{ key }}={{ value }}
      {%   else %}
      {%     for v in value %}
      {{ key }}={{ v }}
      {%     endfor %}
      {%   endif %}
      {% endfor %}

      [Install]
      WantedBy=timers.target
    mode: 0444
  notify:
    - restart {{ systemd_timer }}.timer
  register: result
  tags: systemd

- name: reload systemd
  command: systemctl --user daemon-reload
  when: result.changed
  tags: systemd

- name: enable systemd timer
  systemd:
    name: "{{ systemd_timer }}.timer"
    enabled: true
    scope: user
  tags: systemd
